Runtime

## org.eclipse.gmf.runtime.draw2d.ui.render.factory
Interface RenderedImageType

    public interface RenderedImageType

This interface allows the RenderedImageFactory to auto-defect an image type through an extension point. Implementors need to know how to auto-defect the type of image given a byte buffer representing the contents of the image.

Method Summary
`RenderedImage` `autoDetect(byte[] buffer, org.eclipse.gmf.runtime.draw2d.ui.render.internal.factory.RenderedImageKey key)`

Method Detail

### autoDetect

    RenderedImage autoDetect(byte[] buffer,
                             org.eclipse.gmf.runtime.draw2d.ui.render.internal.factory.RenderedImageKey key)

  Parameters:
    `buffer` - the `byte[]` array that is the contents of the image file. This is used as the input in order to detect the type of file format.
    `key` - the `RenderedImageKey` that defines the parameters of how to render the particular image.
  Returns:
    a `RenderedImage` if the `buffer` was auto-detected as being this type. `null` is returned if the buffer stream is not detected as this type.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.